## org.gnu.gtk
Class CellView

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.CellView

public class CellView
extends Widget

Constructor Summary
`CellView()`
`CellView(Pixbuf pixbuf)`
`CellView(java.lang.String text, boolean hasMarkup)`

Method Summary
`CellRenderer[]` `getCellRenderers()`
`TreePath` `getDisplayedRow()`
`Requisition` `getSizeOfRow(TreePath path)`
`void` `setBackgroundColor(Color color)`
`void` `setDisplayedRow(TreePath path)`
`void` `setModel(TreeModel model)`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getEventListenerClass, getEventType, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getType, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellView

    public CellView()

### CellView

    public CellView(java.lang.String text,
                    boolean hasMarkup)

### CellView

    public CellView(Pixbuf pixbuf)

Method Detail

### setModel

    public void setModel(TreeModel model)

### setDisplayedRow

    public void setDisplayedRow(TreePath path)

### getDisplayedRow

    public TreePath getDisplayedRow()

### setBackgroundColor

    public void setBackgroundColor(Color color)

### getSizeOfRow

    public Requisition getSizeOfRow(TreePath path)

### getCellRenderers

    public CellRenderer[] getCellRenderers()